
Infrastructure - Bug #7350

MN.systemMetadataChanged() with bogus identifier should return NotFound

2015-09-15 15:03 - Andrei Buium

Status: Closed Start date: 2015-09-15

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

Calling MN.systemMetadataChanged() with a bogus identifier is currently returning a "ServiceFailure: 0000:" exception rather than a

NotFound exception.

(Tested against demo-8 in dev)

History

#1 - 2015-09-15 15:42 - Jing Tao

- Target version set to CCI-2.0.0

#2 - 2015-09-15 22:12 - Jing Tao

This method doesn't have a NotFound exception. The one I can choose is the InvalidRequest exception.

#3 - 2015-09-15 22:25 - Jing Tao

- Status changed from New to In Progress

- % Done changed from 0 to 30

I chose to throw the InvalidRequest exception.

#4 - 2015-09-16 20:57 - Jing Tao

- Status changed from In Progress to Closed

- % Done changed from 30 to 100

Andrei tested it and it worked.
